## dnf-version

dnf-version — Preprocessor macros for the libdnf version

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | DNF_CHECK_VERSION()

## Types and Values

#define | LIBDNF_MAJOR_VERSION
#define | LIBDNF_MINOR_VERSION
#define | LIBDNF_MICRO_VERSION
#define | LIBDNF_VERSION

## Includes

    #include <libdnf.h>

## Description

These functions are used in client code to conditionalize compilation depending on the version of libdnf headers installed.

## Functions

### DNF_CHECK_VERSION()

    #define             DNF_CHECK_VERSION(major,minor,micro)

## Types and Values

### LIBDNF_MAJOR_VERSION

    #define LIBDNF_MAJOR_VERSION				(0)

### LIBDNF_MINOR_VERSION

    #define LIBDNF_MINOR_VERSION				(55)

### LIBDNF_MICRO_VERSION

    #define LIBDNF_MICRO_VERSION				(2)

### LIBDNF_VERSION

    #define LIBDNF_VERSION                                  "0.55.2"